ClassTransformerChain (cglib (Version 2.2.2))
Date: 2019-12-26

net.sf.cglib.transform

## Class ClassTransformerChain

- java.lang.Object
- - org.objectweb.asm.ClassAdapter
  - - net.sf.cglib.transform.AbstractClassTransformer
    - - net.sf.cglib.transform.ClassTransformerChain

- All Implemented Interfaces:
    ClassTransformer, org.objectweb.asm.ClassVisitor

      public class ClassTransformerChain
      extends AbstractClassTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassTransformerChain(ClassTransformer[] chain)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setTarget(org.objectweb.asm.ClassVisitor v)`
    `java.lang.String` | `toString()`
    `org.objectweb.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`

    - ### Methods inherited from class org.objectweb.asm.ClassAdapter

      `visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitOuterClass, visitSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.objectweb.asm.ClassVisitor

      `visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitOuterClass, visitSource`

- - ### Constructor Detail

    - #### ClassTransformerChain

          public ClassTransformerChain(ClassTransformer[] chain)

  - ### Method Detail

    - #### setTarget

          public void setTarget(org.objectweb.asm.ClassVisitor v)

      Specified by:
        `setTarget` in interface `ClassTransformer`
      Overrides:
        `setTarget` in class `AbstractClassTransformer`

    - #### visitMethod

          public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                             java.lang.String name,
                                                             java.lang.String desc,
                                                             java.lang.String signature,
                                                             java.lang.String[] exceptions)

      Specified by:
        `visitMethod` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitMethod` in class `org.objectweb.asm.ClassAdapter`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2001 - Apache Software Foundation